cURL
curl --request POST \
--url https://app.teable.ai/api/share/%7BshareId%7D/view/record/%7BrecordId%7D/%7BfieldId%7D/button-click \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"runId": "<string>",
"tableId": "<string>",
"fieldId": "<string>",
"record": {
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}
}share
Button click
Button click
POST
/
share
/
{shareId}
/
view
/
record
/
{recordId}
/
{fieldId}
/
button-click
cURL
curl --request POST \
--url https://app.teable.ai/api/share/%7BshareId%7D/view/record/%7BrecordId%7D/%7BfieldId%7D/button-click \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"runId": "<string>",
"tableId": "<string>",
"fieldId": "<string>",
"record": {
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on March 5, 2026
Was this page helpful?
⌘I

